#!/usr/bin/env python

############################################################################
#    Copyright (C) 2004 by                                                 #
#    Petteri Klemola (pzq at users dot sourceforge dot net)                #
#    Tero Kuusela (teroajk at users dot sourceforge dot net)               #
#                                                                          #
#    This program is free software; you can redistribute it and/or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

import pygame
import os
import sys
from start_menu import *

from highscore import *

def main():

    #init pygame and screen
    pygame.init()
    screen = pygame.display.set_mode((320,240))  # was 640, 480
    pygame.mouse.set_visible(0)                  # Disables the cursor (1 = on) and (0 = off)
    pygame.display.set_caption('Tuxletics')

    #init start menu and fonts
    fontdir = os.getcwd()

    font1 = pygame.font.Font(os.path.join(fontdir, "Domestic_Manners.ttf"),8)  # was 16, 30, 36
    font2 = pygame.font.Font(os.path.join(fontdir, "Domestic_Manners.ttf"),15)
    font3 = pygame.font.Font(os.path.join(fontdir, "Domestic_Manners.ttf"),18)


    menu=StartMenu(screen,font1,font2,font3)



if __name__=='__main__':main()
